package.json
author David Anderson <danderson@mozilla.com>
Tue, 20 Jun 2017 01:17:20 -0700
changeset 364896 f1ed5e2926515ffd4f0936dcb2002b0cb5372e94
parent 363460 587a778f99bc45d7c934cf269595b5924be03ccf
child 366638 d95016c5fc991c075d10b4591491d50650a7c487
permissions -rw-r--r--
Don't require a Compositor for setting DiagnosticTypes. (bug 1365879 part 14, r=mattwoodrow)

{
  "name": "mozillaeslintsetup",
  "description": "This package file is for setup of ESLint only for editor integration.",
  "repository": {},
  "license": "MPL-2.0",
  "dependencies": {
    "escope": "^3.6.0",
    "eslint": "3.19.0",
    "eslint-plugin-html": "2.0.3",
    "eslint-plugin-mozilla": "file:tools\\lint\\eslint\\eslint-plugin-mozilla",
    "eslint-plugin-react": "6.10.3",
    "eslint-plugin-spidermonkey-js": "file:tools\\lint\\eslint\\eslint-plugin-spidermonkey-js",
    "espree": "^3.4.0",
    "estraverse": "^4.2.0",
    "ini-parser": "^0.0.2",
    "sax": "^1.2.2"
  }
}